Bug 1466954 - [abrt] corebird: g_utf8_offset_to_pointer(): corebird killed by signal 11
[abrt] corebird: g_utf8_offset_to_pointer(): corebird killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: corebird (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ryan Lerch
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2c701d4ec5ccc4fa10698d2bb59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 17:10 EDT by Baptiste Mille-Mathias
Modified: 2018-05-29 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.92 KB, text/plain)
2017-06-30 17:10 EDT, Baptiste Mille-Mathias
no flags Details
File: cgroup (321 bytes, text/plain)
2017-06-30 17:10 EDT, Baptiste Mille-Mathias
no flags Details
File: core_backtrace (12.60 KB, text/plain)
2017-06-30 17:10 EDT, Baptiste Mille-Mathias
no flags Details
File: cpuinfo (1.68 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: dso_list (22.56 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: environ (1.54 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: exploitable (112 bytes, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: maps (101.88 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: open_fds (3.34 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details
File: var_log_messages (298 bytes, text/plain)
2017-06-30 17:11 EDT, Baptiste Mille-Mathias
no flags Details

  None (edit)
Description Baptiste Mille-Mathias 2017-06-30 17:10:49 EDT
Version-Release number of selected component:
corebird-1.5-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/corebird --gapplication-service
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/corebird
journald_cursor: s=d1d74cbbfd3249049c027177a4ffba5e;i=1a54e;b=768be41511fe47a0a2d72d6fff6619a5;m=362a5832a;t=553325a08280d;x=417ccf9892415423
kernel:         4.11.7-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_utf8_offset_to_pointer at gutf8.c:351
 #1 g_utf8_substring at gutf8.c:285
 #2 cb_text_transform_text at CbTextTransform.c:163
 #3 cb_text_transform_tweet at CbTextTransform.c:30
 #4 cb_tweet_get_filter_text at CbTweet.c:392
 #5 account_filter_matches at Account.c:2327
 #6 home_timeline_add_tweet at HomeTimeline.c:725
 #7 home_timeline_real_stream_message_received at HomeTimeline.c:377
 #8 user_stream_parse_data_cb at UserStream.c:966
 #9 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1950
Comment 1 Baptiste Mille-Mathias 2017-06-30 17:10:55 EDT
Created attachment 1293387 [details]
File: backtrace
Comment 2 Baptiste Mille-Mathias 2017-06-30 17:10:56 EDT
Created attachment 1293388 [details]
File: cgroup
Comment 3 Baptiste Mille-Mathias 2017-06-30 17:10:58 EDT
Created attachment 1293389 [details]
File: core_backtrace
Comment 4 Baptiste Mille-Mathias 2017-06-30 17:11:00 EDT
Created attachment 1293390 [details]
File: cpuinfo
Comment 5 Baptiste Mille-Mathias 2017-06-30 17:11:02 EDT
Created attachment 1293391 [details]
File: dso_list
Comment 6 Baptiste Mille-Mathias 2017-06-30 17:11:04 EDT
Created attachment 1293392 [details]
File: environ
Comment 7 Baptiste Mille-Mathias 2017-06-30 17:11:05 EDT
Created attachment 1293393 [details]
File: exploitable
Comment 8 Baptiste Mille-Mathias 2017-06-30 17:11:07 EDT
Created attachment 1293394 [details]
File: limits
Comment 9 Baptiste Mille-Mathias 2017-06-30 17:11:10 EDT
Created attachment 1293395 [details]
File: maps
Comment 10 Baptiste Mille-Mathias 2017-06-30 17:11:12 EDT
Created attachment 1293396 [details]
File: open_fds
Comment 11 Baptiste Mille-Mathias 2017-06-30 17:11:13 EDT
Created attachment 1293397 [details]
File: proc_pid_status
Comment 12 Baptiste Mille-Mathias 2017-06-30 17:11:15 EDT
Created attachment 1293398 [details]
File: var_log_messages
Comment 13 Edward Betts 2017-07-12 07:54:45 EDT
This is fixed in corebird 1.5.1

See https://github.com/baedert/corebird/issues/747
Comment 14 Doug Maxey 2017-07-17 00:41:27 EDT
Similar problem has been detected:

Not much to say:
- new f26 install
- corebird was running ~20 minutes
- had not been tweeting, just reading.
- was working in another desktop when I saw the notification.
- this is just the first capture of several such events.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/corebird
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/corebird
journald_cursor: s=304449225fed4c4e9ac26713a06e2d37;i=75d1;b=a075c0d2ef814d2da315ebee9aa68279;m=2f76d3dff;t=5547b33a99ab8;x=2c046e22ae6c46e5
kernel:         4.11.9-300.fc26.x86_64
package:        corebird-1.5-1.fc26
reason:         corebird killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2018-05-03 04:05:47 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2018-05-29 07:24:40 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.